[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonController.ReportStatus

Report the status to the operating system.

## Declaration

Source position: daemonapp.pp line 131

`public function TDaemonController.ReportStatus: Boolean; virtual;`

## Function result

True if the status was reported succesfully

## Description

ReportStatus reports the status of the daemon to the operating system. On windows, this sends the current service status to the service manager. On other operating systems, this sends a message to the system log.

## Errors

If an error occurs, an error message is sent to the system log.

## See also

TDaemon.ReportStatus
TDaemonController.LastStatus |  | Last reported status

Documentation generated on: Feb 26 2014